Skip to main content
GET
Retrieve a webhook

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the webhook subscription.

Response

200 - application/json
id
string<uuid>

ID of the webhook subscription.

name
string

Name of the webhook subscription.

events
string[]

Webhook events included in the webhook subscription.

config
object

Event-specific configuration for the webhook subscription.

secret
string | null

Secret used to verify webhooks, if provided.

url
string<uri>

URL where webhook deliveries are sent.

created_at
string<date-time>

Time when the webhook subscription was created.

updated_at
string<date-time>

Time when the webhook subscription was last updated.

last_sent_at
string<date-time> | null

Last time Argyle sent the webhook. A null value means the webhook has not been sent.